NATSPEC(1)

NAME
natspec - command line utility to access libnatspec functions

SYNOPSIS

natspec [-c | --codepage] [-f | --fsenc] [--utf8] [--country-id] [--system-locale] [-i | --info] [-a encoding | --transl encoding] [-v | --verbose] [-s operating system | --charset operating system]

natspec [-h | --help | -V | --version]

DESCRIPTION

This manual page documents briefly the natspec command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

natspec is a command line utility to access libnatspec functions.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes ("-"). A summary of options is included below.

-c, --codepage
    Print DOS codepage for current locale.

-f, --fsenc
    Print filename encoding for current locale.

--utf8
    Return 0 if current locale uses UTF-8.

--country-id
    Print country ID for DOS.

--system-locale
    Print system locale.

-i, --info
    Print summary information about current locale.

-a encoding, --transl=encoding
    Transliterate ARGS from encoding to the current encoding and print the result.

-v, --verbose
    Be verbose.

-s operating system, --charset=operating system
    Print charset for the operating system. operating system can be one of unix, win, dos, mac.

-h, --help
    Show summary of options.

-V, --version
    Show version of program.

When being called without options, -i is implied.

ENVIRONMENT

LC_ALL
    Used for detecting current locale.

AUTHOR

Andrew Shadoura <bugzilla@tut.by>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2009 Andrew O. Shadoura

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License, Version 2.1 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU Lesser General Public License can be found in /usr/share/common-licenses/LGPL-2.1.